<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/common_bottom_dialog_bg">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/top_bar"
        android:layout_width="match_parent"
        android:layout_height="@dimen/common_top_bar_height"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_user_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:fontFamily="@font/poppins_semibold"
            android:includeFontPadding="false"
            android:text="@string/playmate_all_comment"
            android:textColor="@color/color_FF1D2129"
            android:textSize="18sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_close"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:layout_marginEnd="16dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/common_close_ic" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <com.scwang.smart.refresh.layout.SmartRefreshLayout
        android:id="@+id/refresh_layout"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginHorizontal="16dp"
        android:layout_marginTop="10dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/top_bar">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_comment"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            tools:listitem="@layout/item_playmate_detail_comment" />

    </com.scwang.smart.refresh.layout.SmartRefreshLayout>

    <com.adealink.weparty.commonui.widget.CommonEmptyErrorView
        android:id="@+id/v_error_view"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@id/refresh_layout"
        app:layout_constraintEnd_toEndOf="@id/refresh_layout"
        app:layout_constraintStart_toStartOf="@id/refresh_layout"
        app:layout_constraintTop_toTopOf="@id/refresh_layout" />


</androidx.constraintlayout.widget.ConstraintLayout>